org.activiti.engine.task

## Interface TaskInfo

- All Known Subinterfaces:
    HistoricTaskInstance, Task

      public interface TaskInfo

  Author:
    Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAssignee()` The `userId` of the person to which this task is delegated.
    `String` | `getCategory()` The category of the task.
    `Date` | `getCreateTime()` The date/time when this task was created
    `String` | `getDescription()` Free text description of the task.
    `Date` | `getDueDate()` Due date of the task.
    `String` | `getExecutionId()` Reference to the path of execution or null if it is not related to a process instance.
    `String` | `getFormKey()` The form key for the user task
    `String` | `getId()` DB id of the task.
    `String` | `getName()` Name or title of the task.
    `String` | `getOwner()` The `userId` of the person that is responsible for this task.
    `String` | `getParentTaskId()` The parent task for which this task is a subtask
    `int` | `getPriority()` Indication of how important/urgent this task is
    `String` | `getProcessDefinitionId()` Reference to the process definition or null if it is not related to a process.
    `String` | `getProcessInstanceId()` Reference to the process instance or null if it is not related to a process instance.
    `Map<String,Object>` | `getProcessVariables()` Returns the process variables if requested in the task query
    `String` | `getTaskDefinitionKey()` The id of the activity in the process defining this task or null if this is not related to a process
    `Map<String,Object>` | `getTaskLocalVariables()` Returns the local task variables if requested in the task query
    `String` | `getTenantId()` The tenant identifier of this task

- - ### Method Detail

    - #### getId

          String getId()

      DB id of the task.

    - #### getName

          String getName()

      Name or title of the task.

    - #### getDescription

          String getDescription()

      Free text description of the task.

    - #### getPriority

          int getPriority()

      Indication of how important/urgent this task is

    - #### getOwner

          String getOwner()

      The `userId` of the person that is responsible for this task.

    - #### getAssignee

          String getAssignee()

      The `userId` of the person to which this task is delegated.

    - #### getProcessInstanceId

          String getProcessInstanceId()

      Reference to the process instance or null if it is not related to a process instance.

    - #### getExecutionId

          String getExecutionId()

      Reference to the path of execution or null if it is not related to a process instance.

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      Reference to the process definition or null if it is not related to a process.

    - #### getCreateTime

          Date getCreateTime()

      The date/time when this task was created

    - #### getTaskDefinitionKey

          String getTaskDefinitionKey()

      The id of the activity in the process defining this task or null if this is not related to a process

    - #### getDueDate

          Date getDueDate()

      Due date of the task.

    - #### getCategory

          String getCategory()

      The category of the task. This is an optional field and allows to 'tag' tasks as belonging to a certain category.

    - #### getParentTaskId

          String getParentTaskId()

      The parent task for which this task is a subtask

    - #### getTenantId

          String getTenantId()

      The tenant identifier of this task

    - #### getFormKey

          String getFormKey()

      The form key for the user task

    - #### getTaskLocalVariables

          Map<String,Object> getTaskLocalVariables()

      Returns the local task variables if requested in the task query

    - #### getProcessVariables

          Map<String,Object> getProcessVariables()

      Returns the process variables if requested in the task query

Copyright © 2016 Alfresco. All rights reserved.